# Chilli.py [chilli_py]
[![license](https://img.shields.io/badge/license-APACHE2-green)](https://gitlab.com/theonov13/chilli/-/blob/main/LICENSE)
[![language](https://img.shields.io/badge/language-Python3-blue)](https://www.python.org/)
[![version](https://img.shields.io/badge/version-orc--valley%20v.0.1.0--beta1-green)](https://gitlab.com/esp42/chilli/chilli_py)

# Prolog 

`Chilli [br. english]`

This is a pure Python self-consistent field (SCF) code utilizing     
Gaussian-type orbitals (GTOs).    
Thus you will find only source code written    
in this package in Python and no other language.   
The main focus of this package is readability.    
Given the fact that it is written in Python,    
the package does not aim to compete with     
other packages optimized for fast production    
calculations.       

# Documentation 

Please see the Chilli [documentation](https://esp42.gitlab.io/chilli/chilli_py/) for a detailed introduction.

# Installation 

You can install `chilli_py` by typing the following     
command in your bash. 

```bash 
pip3 install -e .
``` 

# Package self-contained test 

Add a `pytest` in your commit message.   
This will trigger the CI/CD pipeline.    
In the the online history you can find your CI job.   
Or you can run the tests locally typing the following commands:
```bash 
cd chilli_py/tests 
python3 -m pytest tests.py 
```



# Philosophy

- Pure Python and only few (stable) package dependencies 
    + core: numpy, scipy, packages from the Python standard library
    + addons: basis_set_exchange, pyscf 
- Readability before speed-ups 

# Authors

- Sebastian Schwalbe (SS, theonov13@gmail.com, main developer) 
- Kai Trepte (KT, kai.trepte1987@gmail.com, main tester) 
- Wanja Timm Schulze (WS, wangenau@protonmail.com, main user) 
